com.ibm.openpages.api.respview

## Class RespViewFilter

- java.lang.Object
- - com.ibm.openpages.api.respview.RespViewFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class RespViewFilter
      extends java.lang.Object
      implements java.io.Serializable

  Represents the filter to search responsive views

  Since:
    7.4.0.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RespViewFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getIsDefault()` Returns the default state of the responsive view that is used for filtering
    `java.lang.Boolean` | `getIsEnabled()` Returns the enabled state of the responsive view that is used for filtering
    `java.lang.Boolean` | `getIsSuppliedByVendor()` Returns the supplied-by-vendor state of the responsive view that is used for filtering
    `java.lang.String` | `getName()` Returns the name of the responsive view that is used for filtering
    `RespViewState` | `getRespViewState()` Returns the state of the responsive view to retrieve
    `Id` | `getTypeDefinitionId()` Returns Id of the type definition that is used for filtering
    `RespViewType` | `getViewType()` Returns type of the responsive view that is used for filtering
    `void` | `setIsDefault(java.lang.Boolean isDefault)` Sets the default state of the responsive view that is used for filtering
    `void` | `setIsEnabled(java.lang.Boolean isEnabled)` Sets the enabled state of the responsive view that is used for filtering
    `void` | `setIsSuppliedByVendor(java.lang.Boolean isSuppliedByVendor)` Sets the supplied-by-vendor state of the responsive view that is used for filtering
    `void` | `setName(java.lang.String name)` Sets the name of the responsive view that is used for filtering
    `void` | `setRespViewState(RespViewState respViewState)` Sets the state of the responsive view to retrieve.
    `void` | `setTypeDefinitionId(Id typeDefinitionId)` Sets Id of the type definition that is used for filtering
    `void` | `setViewType(RespViewType viewType)` Sets type of the responsive view that is used for filtering

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RespViewFilter

          public RespViewFilter()

  - ### Method Detail

    - #### getTypeDefinitionId

          public Id getTypeDefinitionId()

      Returns Id of the type definition that is used for filtering
      Returns:
        `Id`

    - #### setTypeDefinitionId

          public void setTypeDefinitionId(Id typeDefinitionId)

      Sets Id of the type definition that is used for filtering
      Parameters:
        `typeDefinitionId` -

    - #### getViewType

          public RespViewType getViewType()

      Returns type of the responsive view that is used for filtering
      Returns:
        `RespViewType`

    - #### setViewType

          public void setViewType(RespViewType viewType)

      Sets type of the responsive view that is used for filtering
      Parameters:
        `viewType` -

    - #### getName

          public java.lang.String getName()

      Returns the name of the responsive view that is used for filtering
      Returns:

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the responsive view that is used for filtering
      Parameters:
        `name` -

    - #### getIsDefault

          public java.lang.Boolean getIsDefault()

      Returns the default state of the responsive view that is used for filtering
      Returns:

    - #### setIsDefault

          public void setIsDefault(java.lang.Boolean isDefault)

      Sets the default state of the responsive view that is used for filtering
      Parameters:
        `isDefault` -

    - #### getIsSuppliedByVendor

          public java.lang.Boolean getIsSuppliedByVendor()

      Returns the supplied-by-vendor state of the responsive view that is used for filtering
      Returns:

    - #### setIsSuppliedByVendor

          public void setIsSuppliedByVendor(java.lang.Boolean isSuppliedByVendor)

      Sets the supplied-by-vendor state of the responsive view that is used for filtering
      Parameters:
        `isSuppliedByVendor` -

    - #### getIsEnabled

          public java.lang.Boolean getIsEnabled()

      Returns the enabled state of the responsive view that is used for filtering
      Returns:

    - #### setIsEnabled

          public void setIsEnabled(java.lang.Boolean isEnabled)

      Sets the enabled state of the responsive view that is used for filtering
      Parameters:
        `isEnabled` -

    - #### getRespViewState

          public RespViewState getRespViewState()

      Returns the state of the responsive view to retrieve
      Returns:
        `RespViewState`

    - #### setRespViewState

          public void setRespViewState(RespViewState respViewState)

      Sets the state of the responsive view to retrieve. Can be null to retrieve views without content
      Parameters:
        `respViewState` - `RespViewState`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.